Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 224515 - app-portage/gentoolkit-0.3.0: equery --format option only works with equery list
Summary: app-portage/gentoolkit-0.3.0: equery --format option only works with equery list
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
: 419865 468216 (view as bug list)
Depends on:
Blocks: 346443
  Show dependency tree
 
Reported: 2008-06-01 18:40 UTC by Pacho Ramos
Modified: 2013-05-02 16:50 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2008-06-01 18:40:37 UTC
Hi!

After upgrading to latest mono version (1.9) I got some mono apps broken. These apps are easily "fixed" simply re-emerging them. I wanted to make this "re-emerge" task more automatic using:
# emerge -1av `equery -q d mono`

But it cannot be used because of missing "=" before package names. equery outputs something like:
media-gfx/f-spot-0.4.3.1

And emerge expects something like:
=media-gfx/f-spot-0.4.3.1

or:
media-gfx/f-spot

I am using gentoolkit-0.2.4_rc4

Thanks a lot

Reproducible: Always
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2008-06-01 23:47:49 UTC
Related is bug #224515.
Comment 2 Pacho Ramos gentoo-dev 2008-06-02 11:46:38 UTC
For now I used:
http://forums.gentoo.org/viewtopic-p-5110212.html#5110212

Thanks :-)
Comment 3 michael@smith-li.com 2008-07-16 02:31:49 UTC
(In reply to comment #1)
> Related is bug #224515.
> 

Jer, I'm confused. Isn't this bug #224515? What bug did you mean?
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2008-07-17 21:38:32 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > Related is bug #224515.
> > 
> 
> Jer, I'm confused. Isn't this bug #224515? What bug did you mean?

I think there was some portage-utils bug requesting the same enhancement, probably bug #224517. :)
Comment 5 Brian Dolbec gentoo-dev 2010-03-06 20:43:28 UTC
How about I add a " -A, --atomize" option to depends.  That would make the command line:

# equery -q d -A = mono

other options could also be:

# equery -q d -A >= momo, ...

Basically you supply the atom you want pre-pended to the pkg.

That will allow it to be used for more than just feeding it to emerge, such as a package.mask file?

Let me know and I can have it in for -0.3.0_rc10.

Also if there are other equery modules that could benefit, let me know.
Comment 6 Pacho Ramos gentoo-dev 2010-03-06 20:58:02 UTC
(In reply to comment #5)
> How about I add a " -A, --atomize" option to depends.  That would make the
> command line:
> 
> # equery -q d -A = mono
> 
> other options could also be:
> 
> # equery -q d -A >= momo, ...
> 
> Basically you supply the atom you want pre-pended to the pkg.
> 
> That will allow it to be used for more than just feeding it to emerge, such as
> a package.mask file?
> 
> Let me know and I can have it in for -0.3.0_rc10.

It looks fine to me, thanks a lot :-D

> 
> Also if there are other equery modules that could benefit, let me know.
> 

Most times I use it with "depends" module, but maybe could be also useful for "belongs" one
Comment 7 Brian Dolbec gentoo-dev 2010-03-07 02:12:05 UTC
Done, it is in the genscripts development repo if you would like to test run it.  Put it through it's paces and report any errors/problems.

Thank you.  I'm going to add it to belongs as well

brian@big_daddy ~/Dev/genscripts/trunk $ svn commit
Authentication realm: <https://genscripts.googlecode.com:443> Google Code Subversion Repository
Password for 'brian.dolbec': 
Sending        trunk/gentoolkit/pym/gentoolkit/equery/depends.py
Transmitting file data .
Committed revision 270.
Comment 8 Brian Dolbec gentoo-dev 2010-05-05 05:19:12 UTC
going thru te bugs again, i see djanderson had not updated this one.  The change I made for this option was reversed in favor of a custom formatting option that is consistent for several of the equery actions.  It is included in the 0.3.0_rc10 release.
Comment 9 Paul Varner (RETIRED) gentoo-dev 2010-11-22 20:44:03 UTC
Still not completely fixed.  We need to make the formatting code a global option and not a local option to each module.  Right now, it only works for equery list.
Comment 10 Paul Varner (RETIRED) gentoo-dev 2011-05-10 23:02:52 UTC
This currently only works for equery list.  We need to apply the filtering code to work on every module where it makes sense.
Comment 11 Paul Varner (RETIRED) gentoo-dev 2012-06-06 18:21:42 UTC
*** Bug 419865 has been marked as a duplicate of this bug. ***
Comment 12 Paul Varner (RETIRED) gentoo-dev 2013-05-02 16:50:41 UTC
*** Bug 468216 has been marked as a duplicate of this bug. ***